function experienceInstructions(experience, core) {

	var recordingState = false;
	var xhr;

	//Instruction images
	var instImgs = {
		plunge : 'creative/iphone/ExperienceAntartica/experience-plunge@2x.png',
		dance : 'creative/iphone/ExperienceAntartica/experience-dance@2x.png',
		splash : 'creative/iphone/ExperienceAntartica/experience-splash@2x.png',
		explore : 'creative/iphone/ExperienceAntartica/experience-explore@2x.png',
		march : 'creative/iphone/ExperienceAntartica/experience-march@2x.png',
	};

	//Video player options
	var player = Ti.Media.createVideoPlayer({
		mediaControlStyle : Ti.Media.VIDEO_CONTROL_NONE,
		mediaTypes : Ti.Media.VIDEO_MEDIA_TYPE_VIDEO,
		autoplay : true,
		repeatMode : Ti.Media.VIDEO_REPEAT_MODE_ONE,
		sourceType : Ti.Media.VIDEO_SOURCE_TYPE_FILE,
		backgroundColor : "#000",
		width : '39.17%',
		height : '39.22%',
		top : '13.7%',
		right : '11%',
		url : experience + '.mp4',
		fullscreen : false
	});

	//Window
	var win_self = Titanium.UI.createWindow({
		layout : 'composite',
		backgroundColor : 'transparent',
		orientationModes : [Ti.UI.LANDSCAPE_LEFT, Ti.UI.LANDSCAPE_RIGHT],
		height : '100%',
		width : '100%',
		navBarHidden : true
	});

	var viewPlayer = Titanium.UI.createView({
		width : '100%',
		height : '100%',
		backgroundColor : 'transparent'
	});

	var view = Titanium.UI.createView({
		backgroundImage : 'creative/iphone/ExperienceAntartica/take-select-video.png',
		width : '100%',
		height : '100%'
	});

	win_self.addEventListener('focus', function(e) {
		Ti.API.info('============ Instructions window gained focus');
		player.play();
		if (recordingState) {
			Ti.API.info('============ Recording finished, switch to select button');
			choose_video();
		}
	});

	//Set the tip image
	var tip = Titanium.UI.createImageView({
		image : instImgs[experience],
		top : '41.4%',
		left : '12.21%',
		width : '31.25%',
		height : '36.56%',
	});

	var btn_capture = Titanium.UI.createView({
		backgroundColor : 'transparent',
		height : '17.81%',
		width : '9.95%',
		borderColor : 'transparent',
		borderWidth : 3,
		top : '57%',
		left : '55.6%'
	});

	//Begin button
	var btn_select = Titanium.UI.createView({
		backgroundColor : 'transparent',
		height : '17.81%',
		width : '9.95%',
		borderColor : 'transparent',
		borderWidth : 3,
		top : '57%',
		left : '74%'
	});

	// CAMERA OVERLAY
	var view_Overlay = Titanium.UI.createView({
		backgroundColor : 'transparent',
		width : '100%',
		height : '100%',
		keepScreenOn : true
	});

	var img_position_overlay;
	var img_position_overlayRecording;
	if (experience == 'plunge') {
		img_position_overlay = 'creative/iphone/ExperienceAntartica/5experience-video-template-Swim@2x.png';
		img_position_overlayRecording = 'creative/iphone/ExperienceAntartica/5experience-video-template-recording-Swim@2x.png';
	} else if (experience == 'dance') {
		img_position_overlay = 'creative/iphone/ExperienceAntartica/5experience-video-template-Dance@2x.png';
		img_position_overlayRecording = 'creative/iphone/ExperienceAntartica/5experience-video-template-recording-Dance@2x.png';
	} else if (experience == 'splash') {
		img_position_overlay = 'creative/iphone/ExperienceAntartica/5experience-video-template-JUMP@2x.png';
		img_position_overlayRecording = 'creative/iphone/ExperienceAntartica/5experience-video-template-recording-JUMP@2x.png';
	} else if (experience == 'explore') {
		//img_position_overlay = 'creative/iphone/ExperienceAntartica/';
		//img_position_overlayRecording = 'creative/iphone/ExperienceAntartica/';
	} else if (experience == 'march') {
		img_position_overlay = 'creative/iphone/ExperienceAntartica/5experience-video-template-WIND@2x.png';
		img_position_overlayRecording = 'creative/iphone/ExperienceAntartica/5experience-video-template-recording-Wind@2x.png';
	}

	var img_position = Ti.UI.createImageView({
		image : img_position_overlay,
		width : '100%',
		height : '100%'
	});

	var progressInterval;

	btn_capture.addEventListener('click', function(e) {
		Ti.API.info('==BEGIN RECORDING==');
		player.stop();

		recordingState = true;

		var intent = Titanium.Android.createIntent({
			action : 'android.media.action.VIDEO_CAPTURE'
		});
		Ti.Android.currentActivity.startActivity(intent);
	});

	btn_select.addEventListener('click', function(e) {
		Ti.API.info('==SELECT RECORDING==');
		recordingState = false;
		choose_video();
	});

	var selectView;
	function choose_video() {
		var tmpfilePath = Ti.Filesystem.getExternalStorageDirectory() + 'tmp.txt';
		var tmpfile = Ti.Filesystem.getFile(tmpfilePath);
		tmpfile.write('aaaaa');
		var rootPath = tmpfile.getNativePath().substring(0, tmpfile.getNativePath().indexOf('com.seaworld.antarctica'));
		//var rootPath = tmpfile.getNativePath().substring(0, tmpfile.getNativePath().indexOf('com.certat'));
		tmpfile.deleteFile();

		var firstTryLevel = Ti.Filesystem.getFile(rootPath + '/dcim');

		var dirListFirstLevel;
		var fullList;
		var vidList = [];
		var dirListSecondLevel;
		if (firstTryLevel.exists()) {
			dirListFirstLevel = firstTryLevel.getDirectoryListing();
			var fileTempFirst;
			for (var i = 0; i < dirListFirstLevel.length; i++) {
				fileTempFirst = Ti.Filesystem.getFile(rootPath + '/dcim/' + dirListFirstLevel[i]);
				if (fileTempFirst.isDirectory()) {
					fullList = Ti.Filesystem.getFile(fileTempFirst.getNativePath());
					dirListSecondLevel = fullList.getDirectoryListing();
					for (var y = 0; y < dirListSecondLevel.length; y++) {
						if (dirListSecondLevel[y].indexOf('.mp4') > -1) {

							vidList.push(fileTempFirst.getNativePath() + '/' + dirListSecondLevel[y]);
						}
					}
				}
			}
		}

		selectView = Ti.UI.createView({
			backgroundColor : '#a3a3a3',
			backgroundImage : 'creative/iphone/ExperienceAntartica/select-video.jpg',
			width : '100%',
			height : '100%',
			zIndex : 98
		});
		var maskView = Ti.UI.createView({
			backgroundColor : 'transparent',
			backgroundImage : 'creative/iphone/5peekaboo.png',
			width : '100%',
			height : '100%',
			zIndex : 100
		});
		var slider = Ti.UI.createScrollableView({
			backgroundColor : 'transparent',
			height : '28.13%',
			width : '70.42%',
			top : '45.31%',
			showPagingControl : false,
			borderColor : 'transparent',
			borderWidth : 3,
			zIndex : 99
		});
		var btn_prev = Ti.UI.createView({
			backgroundColor : 'transparent',
			width : '6.64%',
			height : '11.19%',
			top : '54.45%',
			left : '9.65%', //iphone5 378px
			borderColor : 'transparent',
			borderWidth : 3,
			zIndex : 101
		});
		btn_prev.addEventListener('click', function() {
			if (slider.getCurrentPage() > 0) {
				slider.scrollToView(slider.getCurrentPage() - 1);
			}
		});
		var btn_next = Ti.UI.createView({
			backgroundColor : 'transparent',
			width : '6.64%',
			height : '11.19%',
			top : '54.45%',
			right : '10.45%', //iphone5 378px
			borderColor : 'transparent',
			borderWidth : 3,
			zIndex : 101
		});
		btn_next.addEventListener('click', function() {
			if (slider.getCurrentPage() < slider.views.length - 1) {
				slider.scrollToView(slider.getCurrentPage() + 1);
			}
		});
		var slides = [];
		var Video = require('experienceVideo');
		var j = 0;
		for (var i = 0; i < Math.ceil(vidList.length / 3); i++) {
			var tmp_view = Ti.UI.createView({
				backgroundColor : 'transparent',
				layout : 'horizontal'
			});
			//If the current number thumbnail exists, add its video to the view
			if (vidList[j]) {
				tmp_view.add(new Video(vidList[j++], processVideo));
			}
			if (vidList[j]) {
				tmp_view.add(new Video(vidList[j++], processVideo));
			}
			if (vidList[j]) {
				tmp_view.add(new Video(vidList[j++], processVideo));
			}
			//Add the view with the 3 videos to the slides array
			slides.push(tmp_view);
		}
		slider.setViews(slides);

		var selectViewFooter = Titanium.UI.createView({
			backgroundColor : 'transparent',
			bottom : 0,
			left : 0,
			height : '12.18%',
			width : '39.61%',
			borderColor : 'transparent',
			borderWidth : 3,
			zIndex : 101
		});

		selectViewFooter.addEventListener('click', function(e) {
			win_self.close();
		});

		var select_video1 = Ti.UI.createView({
			backgroundColor : 'transparent',
			width : '21%',
			height : '24%',
			top : '47%',
			left : '15%',
			borderColor : 'transparent',
			borderWidth : 5,
			zIndex : 101
		});
		select_video1.addEventListener('click', function() {
			select_video(1);
		});

		var select_video2 = Ti.UI.createView({
			backgroundColor : 'transparent',
			width : '21%',
			height : '24%',
			top : '47%',
			left : '38%',
			borderColor : 'transparent',
			borderWidth : 5,
			zIndex : 101
		});
		select_video2.addEventListener('click', function() {
			select_video(2);
		});

		var select_video3 = Ti.UI.createView({
			backgroundColor : 'transparent',
			width : '21%',
			height : '24%',
			top : '47%',
			left : '61%',
			borderColor : 'transparent',
			borderWidth : 5,
			zIndex : 101
		});
		select_video3.addEventListener('click', function() {
			select_video(3);
		});
		
		selectView.add(slider);
		selectView.add(maskView);
		selectView.add(btn_next);
		selectView.add(btn_prev);
		selectView.add(select_video1);
		selectView.add(select_video2);
		selectView.add(select_video3);
		selectView.add(selectViewFooter);
		win_self.add(selectView);
		view.remove(player);

		function select_video(param) {

			var current_videos = slides[slider.getCurrentPage()].getChildren();

			switch(param) {
				case 1:
					if (current_videos.length >= 1) {
						current_videos[0].fireEvent('touchend', {});
					}
					break;
				case 2:
					if (current_videos.length >= 2) {
						current_videos[1].fireEvent('touchend', {});
					}
					break;
				case 3:
					if (current_videos.length >= 3) {
						current_videos[2].fireEvent('touchend', {});
					}
					break;
			}
		}

	}

	var manager = require('videoManager');
	var vidManager = new manager();
	var ProgressBar = require('experienceProgressBar');
	function processVideo(e) {
		Ti.API.info(e);
		win_self.remove(selectView);
		var progress = new ProgressBar();
		win_self.add(progress.view_container);
		progress.changeProgress();
		clearXhr();
		xhr = Titanium.Network.createHTTPClient();
		xhr.open("POST", 'http://antarcticaapp.starmark.com/android_video/index.php');
		xhr.onload = function() {
			if (this.status == '200') {
				Ti.API.info('SUCCESS RESPONSE WEBSERVER = ' + this.responseText);
				file_to_upload.deleteFile();
				var data = JSON.parse(this.responseText);
				if (data.success) {
					//Save to DB
					data.experience = experience;
					vidManager.saveVideo(data);
					var tmp = vidManager.getVideo();
					data = tmp[tmp.length - 1];
					//Remove progress view & null the instance
					win_self.remove(progress.view_container);
					clearInterval(progress.timeout);
					progress = null;
					//Open video Share

					win_self.close();

					var VideoShare = require('experienceVideoShare');
					new VideoShare(data.video_id, data.thumbnail, data.video, data.experience, data.id, core);
				} else {
					alert(data.message);
				}
				clearXhr();

			} else {
				//hideLoading();
				alert('Something went wrong. Please try again.');
				//Remove progress view & null the instance
				win_self.remove(progress.view_container);
				clearInterval(progress.timeout);
				progress = null;
				Ti.API.info('ERROR RESPONSE WEBSERVER = ' + this.responseText);
				clearXhr();
			}
		};
		xhr.onerror = function(e) {
			alert('Internet connection lost. Please try again.');
			//Remove progress view & null the instance
			win_self.remove(progress.view_container);
			clearInterval(progress.timeout);
			progress = null;
			Ti.API.info('ERROR 2 RESPONSE WEBSERVER = ' + this.responseText);
			clearXhr();
		};

		var source = Ti.Filesystem.getFile(e);
		var file_to_upload = Ti.Filesystem.getFile(Ti.Filesystem.getExternalStorageDirectory() + 'tmp.mp4');
		file_to_upload.write(source.read());
		Ti.API.info('FILE TO BE UPLOADED = ' + file_to_upload.getNativePath());
		Ti.API.info('FILE TO BE UPLOADED = ' + file_to_upload.getSize());
		Ti.API.info('FILE TO BE UPLOADED = ' + file_to_upload.exists());

		var params = {
			'type' : experience,
			'phone_id' : Ti.Platform.getId(),
			'file' : file_to_upload.read()
		};

		try {
			xhr.send(params);
		} catch(e) {
			alert('Please adjust your video settings to record at a lower resolution. Your file is too large.');
			Ti.API.info('SEND ERROR:' + JSON.stringify(e));
			win_self.remove(progress.view_container);
			clearInterval(progress.timeout);
			progress = null;
		}
	};

	function clearXhr() {
		Ti.API.info('XHR CLEARED!!!');
		delete xhr;
		xhr = null;
	}

	//Footer back button
	var btn_fter = Titanium.UI.createView({
		backgroundColor : 'transparent',
		bottom : 0,
		left : '9%',
		height : '11%',
		width : '29%',
		borderColor : 'transparent',
		borderWidth : 3,
		zIndex : 3
	});
	btn_fter.addEventListener('click', function(e) {
		win_self.close();
		player.stop();
		player.release();
		view.remove(player);
	});

	view.add(tip);
	view.add(btn_capture);
	view.add(btn_select);
	view.add(btn_fter);
	viewPlayer.add(player);
	viewPlayer.add(view);
	win_self.add(viewPlayer);

	win_self.addEventListener('close', function() {
		clearXhr();
	});

	return win_self;
}

module.exports = experienceInstructions;
