/**
 * Global Constants & Utility Functions
 * Copyright 2120 Certatim, LLC
 * Nov. 27, 2012
 * http://www.certatim.com
 * Last updated: 12-31-2012
 * Updated by: Adrian
 */

function videoManager() {

	// OPENS THE DATABASE
	var myDatabase = Ti.Database.open('Antarctica');

	// CREATES THE TABLE IF DOESNT EXISTS
	var sql = 'CREATE TABLE IF NOT EXISTS user(';
	sql += 'video_id INTEGER PRIMARY KEY AUTOINCREMENT, ';
	sql += 'video TEXT, ';
	sql += 'thumbnail TEXT, ';
	sql += 'experience TEXT,';
	sql += 'id TEXT)';

	myDatabase.execute(sql);

	/*
	 Function that register a user in the database
	 return: TRUE or FALSE
	 */
	function saveVideo(video) {
		sql = 'INSERT INTO user (video, thumbnail, experience,id) VALUES (?,?,?,?)';
		myDatabase.execute(sql, video.video, video.thumbnail, video.experience, video.id);
	}

	/*
	 Function that return the user object containing all the fields from the database
	 return: user Object or FALSE if user is not registered
	 */
	function getVideo() {

		var video = [];
		var data = myDatabase.execute('SELECT * FROM user');
		while (data.isValidRow()) {
			video.push({
				'video_id' : data.fieldByName('video_id'),
				'video' : data.fieldByName('video'),
				'thumbnail' : data.fieldByName('thumbnail'),
				'experience' : data.fieldByName('experience'),
				'id' : data.fieldByName('id')
			});
			data.next();
		}
		data.close();
		return video;
	}
	
	function deleteVideo(videoId) {
		sql = 'DELETE FROM user WHERE video_id = ?';
		myDatabase.execute(sql, videoId);
	}


	this.saveVideo = saveVideo;
	this.getVideo = getVideo;
	this.deleteVideo = deleteVideo;
	
	return this;
}

//CommonJS module export
module.exports = videoManager;
